%global _empty_manifest_terminate_build 0
Name:           python-oslo-serialization
Version:        4.1.0
Release:        2
Summary:        Oslo Serialization library
License:        Apache-2.0
URL:            https://docs.openstack.org/oslo.serialization/latest/
Source0:        https://files.pythonhosted.org/packages/0a/85/9af1feeff44ee56868145674e0c2e6654e8ff2241c5bc178bb9539065c3d/oslo.serialization-4.1.0.tar.gz
BuildArch:      noarch

%description
The oslo.serialization library provides support for representing objects in
transmittable and storable formats, such as Base64, JSON and MessagePack.

%package -n python3-oslo-serialization
Summary:        Oslo Serialization library
Provides:       python-oslo-serialization
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-msgpack
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-pytz
BuildRequires:  python3-pytest
BuildRequires:  python3-oslotest
BuildRequires:  python3-fixtures
# General requires
Requires:       python3-msgpack
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-pytz

%description -n python3-oslo-serialization
The oslo.serialization library provides support for representing objects in
transmittable and storable formats, such as Base64, JSON and MessagePack.

%package help
Summary:        Oslo Serialization library
Provides:       python3-oslo-serialization-doc

%description help
The oslo.serialization library provides support for representing objects in
transmittable and storable formats, such as Base64, JSON and MessagePack.

%prep
%autosetup -n oslo.serialization-4.1.0

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} -m pytest

%files -n python3-oslo-serialization -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 4.1.0-2
- Fix install error

* Thu Jul 15 2021 yaozc701 <yaozc7@foxmail.com> - 4.1.0-1
- Upgrade version to 4.1.0
* Fri Jan 29 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires
* Fri Jan 08 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
